#include "deftype.h"

unsint hashi(unchar *str)
/* ハッシュ関数（１６ビット）*/
/* str = 名前文字列（英小文字->大文字化計算）*/
{
unsint h=0,c;
	while ((c=*str++)!=0) {
		c=toupper(c);
		h=h*7+c; /* *5より*11より*13の方がばらつきがいい */
		// でもSTKで重複が出すぎたので*7に変更
	}
	return(h);
}
